### Enumeration

# GIRepository RepositoryError

since: 2.80

#### Declaration

    enum GIRepository.RepositoryError

#### Description [src]

An error code used with `GI_REPOSITORY_ERROR` in a `GError` returned from a `GIRepository` routine.

Available since: 2.80

#### Members

Name | Description
--- | ---
`GI_REPOSITORY_ERROR_TYPELIB_NOT_FOUND` | The typelib could not be found.
`GI_REPOSITORY_ERROR_NAMESPACE_MISMATCH` | The namespace does not match the requested namespace.
`GI_REPOSITORY_ERROR_NAMESPACE_VERSION_CONFLICT` | The version of the typelib does not match the requested version.
`GI_REPOSITORY_ERROR_LIBRARY_NOT_FOUND` | The library used by the typelib could not be found.